<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;


#Laysense Simple Login
Route::group('/auth/lay', function () {
    Route::any('/{appid}',[app\controller\LayAuth::class, 'index']);
    Route::any('/{appid}/{gateway}/callback',[app\controller\LayAuth::class, 'callback']);
    Route::any('/{appid}/check',[app\controller\LayAuth::class, 'check']);
 });

 Route::any('/.well-known/openid-configuration',[app\controller\OAuth::class, 'configfile']);
 Route::group('/auth/oauth', function () {
    Route::any('/authorize',[app\controller\OAuth::class, 'authorize']);
    Route::any('/token',[app\controller\OAuth::class, 'token']);
    Route::any('/userinfo',[app\controller\OAuth::class, 'userinfo']);

 });


 Route::fallback(function( $request){
    print_r($request);
    return json(['code' => 404, 'msg' => '404 not found']);
});